import { request, uploadFile } from "@/utils/request";
/**
 * 此为医生基础信息api
 */
export default {
	query(data: object) {
		return request({
			url: "/doctor/base/getKnowledgeBaseList",
			method: "POST",
			data,
		});
	},
	delete(data: object) {
		return request({
			url: "/doctor/base/deletePersonalKnowledge",
			method: "POST",
			data,
		});
	},
	add(data: object) {
		return request({
			url: "/doctor/base/add2MyKnowledge",
			method: "POST",
			data,
		});
	},
	update(data: object) {
		return request({
			url: "/doctor/base/changePersonalKnowledgeStatus",
			method: "POST",
			data,
		});
	},
	queryCopyrightList(data: object) {
		return request({
			url: "/doctor/base/copyrightList",
			method: "POST",
			data,
		});
	},
	queryPatientList(data: object) {
		return request({
			url: "/doctor/base/patientList",
			method: "POST",
			data,
		});
	},
	changeStatus(data: object) {
		return request({
			url: "/doctor/base/changePersonalKnowledgeStatus",
			method: "POST",
			data,
		});
	},
	
	uploadKnowledge(src:any) {
	
		return uploadFile("/doctor/base/uploadKnowledge",src);
	},
};
